AUTH_PASSWD(3)

NAME
auth_passwd - Change account's password

SYNOPSIS

#include <courierauth.h>

int rc=auth_passwd(const char *service, const char *username, const char *oldpassword, const char *newpassword);

DESCRIPTION

If username's password is oldpassword, it is replaced with newpassword. service identifies which so-called "service"'s password is changed; like “imap” or “pop3”. Some Courier authentication library's back-end module can use different passwords for different services. service is ignored if this is not the case.

RETURNS

auth_passwd returns 0 if the password was succesfully changed. A non-0 error code indicates a failure..

SEE ALSO

authlib(3)[1], auth_generic_meta(3)[2], auth_login_meta(3)[3], auth_getuserinfo_meta(3)[4], auth_enumerate(3)[5].

NOTES

1.  authlib(3)
    http://www.courier-mta.org/authlib/authlib.html

2.  auth_generic_meta(3)
    http://www.courier-mta.org/authlib/auth_generic.html

3.  auth_login_meta(3)
    http://www.courier-mta.org/authlib/auth_login.html

4.  auth_getuserinfo_meta(3)
    http://www.courier-mta.org/authlib/auth_getuserinfo.html

5.  auth_enumerate(3)
    http://www.courier-mta.org/authlib/auth_enumerate.html